import { TabNavigator } from 'react-navigation';
import Empty from '../../empty';
import HouseScreen from './HouseScreen';
import ObligeeInfo from './ObligeeInfo';

const ErJiScreen = TabNavigator(
  {
    HouseDetail: {
      screen: HouseScreen,
      navigationOptions: {
        lazy: true,
        tabBarLabel: '详细信息',
      },
    },
    QuanLiRenInfo: {
      screen: ObligeeInfo,
      navigationOptions: {
        lazy: true,
        tabBarLabel: '权利人信息',
      },
    },
    QuanShuInfo: {
      screen: Empty('fangwuDetail', 'QuanLiRenScreen'),
      navigationOptions: {
        lazy: true,
        tabBarLabel: '权属信息',
      },
    },
    ChuZuInfo: {
      screen: Empty('fangwuDetaildfvdfsdfasfdef', 'SanJiInfo'),
      navigationOptions: {
        lazy: true,
        tabBarLabel: '出租信息',
      },
    },
  },
  {

  },
);
export default ErJiScreen;
